Bug 1476162 - Change the retrochangelog default cache size. And also if possible, the default caches. [rhel-7.4.z]
Change the retrochangelog default cache size. And also if possible, the defau...
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: mreynolds
Viktor Ashirov
Marc Muehlfeld
: ZStream
Depends On: 1466191
  Show dependency treegraph
Reported: 2017-07-28 03:45 EDT by Oneata Mircea Teodor
Modified: 2017-09-05 07:23 EDT (History)
8 users (show)

See Also:
Fixed In Version: 389-ds-base-
Doc Type: Bug Fix
Doc Text:
Due to a low default entry cache size value, the Directory Server database had to resolve many deadlocks during resource-intensive tasks. In certain situations, this could result in a "DB PANIC" error and the server no longer responded to requests. After the server was restarted, Directory Server started with a delay to recover the database. However, this recovery could fail, and the database could corrupt. This patch increases the default entry cache size in the nsslapd-cachememsize parameter to 200 MB. As a result, out-of-lock situations or "DB PANIC" errors no longer occur in the mentioned scenario.
Story Points: ---
Clone Of: 1466191
Last Closed: 2017-09-05 07:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oneata Mircea Teodor 2017-07-28 03:45:11 EDT
This bug has been copied from bug #1466191 and has been proposed to be backported to 7.4 z-stream (EUS).
Comment 4 Viktor Ashirov 2017-08-14 08:07:15 EDT
Build tested:

# ldapmodify -D cn=Directory\ Manager -w Secret123 
dn: cn=Retro Changelog Plugin,cn=plugins,cn=config
changetype: modify
replace: nsslapd-pluginEnabled
nsslapd-pluginEnabled: on

modifying entry "cn=Retro Changelog Plugin,cn=plugins,cn=config"

# restart-dirsrv 
Restarting instance "standalone"

# ldapsearch -LLLx -D cn=Directory\ Manager -w Secret123 -s base -b 'cn=changelog,cn=ldbm database,cn=plugins,cn=config' nsslapd-cachememsize
dn: cn=changelog,cn=ldbm database,cn=plugins,cn=config
nsslapd-cachememsize: 209715200

Previously the default value of nsslapd-cachememsize was 2097152, now it's 100x times bigger. Marking as VERIFIED.
Comment 6 errata-xmlrpc 2017-09-05 07:23:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.